petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerFileGetMode

Gets the type of file to be open

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerFileGetMode(PetscViewer viewer,PetscFileMode *type)

Not Collective

### Input Parameter

viewer -the PetscViewer; must be a PETSCVIEWERBINARY, PETSCVIEWERMATLAB, PETSCVIEWERHDF5, or PETSCVIEWERASCII PetscViewer

### Output Parameter

type -type of file

       FILE_MODE_WRITE - create new file for binary output

       FILE_MODE_READ - open existing file for binary input

       FILE_MODE_APPEND - open existing file for binary output

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c

### Implementations

PetscViewerFileGetMode_ASCII in src/sys/classes/viewer/impls/ascii/filev.c
PetscViewerFileGetMode_Binary in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerFileGetMode_HDF5 in src/sys/classes/viewer/impls/hdf5/hdf5v.c
PetscViewerFileGetMode_VTK in src/sys/classes/viewer/impls/vtk/vtkv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages